{
  description = "A Nix wrapper for Neovim+Lazy";
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs";
    flake-utils.url = "github:numtide/flake-utils";
  };
  outputs =
    { self, nixpkgs, flake-utils, ... }:
    flake-utils.lib.eachDefaultSystem (
      system:
      let
        pkgs = nixpkgs.legacyPackages."${system}";
        lib = nixpkgs.lib;
      in
      import ./default.nix { inherit pkgs lib; }
    )
    // ({
      nixosModules = {
        nvim-lazy = import ./modules/nvim-lazy/nixosModule.nix;
        default = self.nixosModules.nvim-lazy;
      };
      homeManagerModules.nvim-lazy = import ./modules/nvim-lazy/homeManager.nix;
      homeManagerModule = self.homeManagerModules.nvim-lazy;
    });
}
